> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve session configuration

> Retrieves the session configuration settings.



## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml get /v2/session-config
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /v2/session-config:
    get:
      tags:
        - Configs
      summary: Retrieve session configuration
      description: Retrieves the session configuration settings.
      operationId: GetSessionConfig
      responses:
        '200':
          description: Session configuration settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sessionConfigRsp'
components:
  schemas:
    sessionConfigRsp:
      type: object
      required:
        - useSessionManagement
      properties:
        useSessionManagement:
          type: boolean
        shortSessionCookieConfig:
          $ref: '#/components/schemas/shortSessionCookieConfig'
        sessionTokenCookieConfig:
          $ref: '#/components/schemas/sessionTokenCookieConfig'
        frontendApiUrl:
          type: string
    shortSessionCookieConfig:
      type: object
      deprecated: true
      x-deprecated-reason: Old code
      required:
        - domain
        - secure
        - sameSite
        - path
        - lifetimeSeconds
      properties:
        domain:
          type: string
        secure:
          type: boolean
        sameSite:
          type: string
          enum:
            - lax
            - strict
            - none
        path:
          type: string
        lifetimeSeconds:
          type: integer
    sessionTokenCookieConfig:
      type: object
      required:
        - domain
        - secure
        - sameSite
        - path
        - lifetimeSeconds
      properties:
        domain:
          type: string
        secure:
          type: boolean
        sameSite:
          type: string
          enum:
            - lax
            - strict
            - none
        path:
          type: string
        lifetimeSeconds:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````